dofile('Data/Scripts/Common/Collect/CollectObjectsManagerBase.lua')

class 'CollectObjectsManager' (CollectObjectsManagerBase)
-----------------------------------------------------------------------------------

function CollectObjectsManager:__init(playfield)
	CollectObjectsManagerBase.__init(self, playfield)

	self:setFindGlobalCallback(
		function ( event )
			playfield:getPanel():getControlsPanel():setRingsNum( getCollectObjectsNum() )
		end,
		1.9 )
end
-----------------------------------------------------------------------------------

function CollectObjectsManager:getCollectObjectsNames()
	return {
		'04_ring_01'
	}
end
-----------------------------------------------------------------------------------

function CollectObjectsManager:getSettings( event )
	return {
		sprite_path = 'Data/Textures/GUI/CollectObjects/ring.png',
		fly_target_x = 296,
		fly_target_y = 710,
	}
end